#
# spec file for package ucdsnmp (Version 4.2.3)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake openssl openssl-devel popt tcpd
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz openssl openssl-devel pam perl popt rpm tcpd

Name:         ucdsnmp
License:      Other License(s), see package
Version:      4.2.3
Release:      145
Summary:      UCD SNMP daemon
Group:        Productivity/Networking/Other
URL:          http://sourceforge.net/projects/net-snmp
Provides:     snmp
Obsoletes:    snmp
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       ucd-snmp-%{version}.tar.bz2
Source1:      rc.ucd-snmp
Source2:      ucdsnmp.conf
Source3:      README.SuSE
Patch:        ucd-snmp-%{version}-audit.diff
Patch1:       ucd-snmp-%{version}-acinclude.diff
Patch2:       snmp_api-64bit.diff

%description
UCD SNMP daemon.

Authors:
--------
    Wes Hardaker <wjhardaker@ucdavis.edu>

SuSE series: n

%prep
%setup -q -n ucd-snmp-%{version}
%patch -p1
%patch1
%patch2

%build
%{suse_update_config}
libtoolize --force
cat /usr/share/aclocal/libtool.m4 >> aclocal.m4
#autoconf
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -I/usr/include/db1 -Wall" 
	./configure --prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--with-sys-contact="root@localhost" \
	--with-mib-modules="host ucd-snmp/pass_persist" \
	--with-persistent-directory=/var/ucd-snmp \
	--with-sys-location="unknown" \
        --with-libwrap=%_prefix \
	--with-defaults \
	--enable-shared \
	--without-root-access \
	--enable-ipv6 \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}
make all

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/snmpd
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT/etc/ucdsnmpd.conf
ln -sf ../../etc/init.d/snmpd $RPM_BUILD_ROOT/usr/sbin/rcsnmpd
install -m 644 %_sourcedir/README.SuSE .

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv snmpd}

%postun
%{insserv_cleanup}

%files
%doc AGENT.txt COPYING ChangeLog EXAMPLE.conf EXAMPLE.conf.def FAQ NEWS PORTING README README.cmu README.snmpv3 TODO README.thread README.SuSE
%config(noreplace) /etc/ucdsnmpd.conf
%config /etc/init.d/snmpd
/usr/bin/*
/usr/include/ucd-snmp
%_libdir/lib*.so
%doc %{_mandir}/man?/*
/usr/sbin/*
/usr/share/snmp
/var/ucd-snmp

%changelog -n ucdsnmp
* Thu Sep 05 2002 - ckm@suse.de
- fixed audit patch bug that truncated interface names
* Tue Apr 23 2002 - ckm@suse.de
- fixed bug in init script, bugzilla entry 15929
* Fri Mar 08 2002 - ro@suse.de
- fixed sscanf format problems
- leave audit patch uncompressed but remove "Only in .." lines
* Sun Mar 03 2002 - bk@suse.de
- add 64bit fix for snmp_api.c
- use %%_libdir
* Fri Mar 01 2002 - ckm@suse.com
- removed '-f -L' (foreground and stderr/out logging and added
  '-l /var/log/ucd-snmpd.log' to init script
- removed --with-logfile from configure
- added small README.SuSE describing these changes.
* Thu Feb 28 2002 - ckm@suse.com
- updated to version 4.2.3
- applied T. Biege's audit patches which addresses security issues
  raised in CERT Advisory CA-2002-03
* Fri Jan 25 2002 - cihlar@suse.cz
- fixed options of snmpd to create pid file [#12911]
* Mon Jan 21 2002 - ckm@suse.de
- added heap overflow patch
* Mon Jan 14 2002 - ro@suse.de
- fixed fillup_and_insserv call
* Wed Jan 09 2002 - cihlar@suse.cz
- updated to version 4.2.3
- removed obsolete patches security and security3
- from patch security2 removed parts with struct sbuf
- fixed to not compile in %%install
- removed START_SNMPD
- added %%clean
* Mon Sep 10 2001 - hmuelle@suse.de
- added --without-root-access to configure-section
* Wed Sep 05 2001 - hmuelle@suse.de
- fixed an string format issues by ucd-snmp-4.2.1-bufferoverflow.dif
  strcpy => strncpy
- fixed an string format issues by ucd-snmp-4.2.1-bufferoverflow.dif
  strcpy => strncpy
* Wed Aug 15 2001 - hmuelle@suse.de
- added security patches
- ucd-snmp-4.2.1-security.dif
  /tmp race and setgroups() privilege problem
- ucd-snmp-4.2.1-security2.dif
  Various buffer overflow and format string issues.
- ucd-snmp-4.2.1-security3.dif
  One signedness problem in ASN handling.
- added security patches
- ucd-snmp-4.2.1-security.dif
  /tmp race and setgroups() privilege problem
- ucd-snmp-4.2.1-security2.dif
  Various buffer overflow and format string issues.
- ucd-snmp-4.2.1-security3.dif
  One signedness problem in ASN handling.
* Wed Jun 13 2001 - ro@suse.de
- fixed to build with current autoconf
- added openssl support
* Fri Apr 27 2001 - grimmer@suse.de
- fix typo in init script (#7326)
- extracted init script and rc.config entry from diff and added
  them as separate source files instead
- corrected some typos
* Mon Apr 09 2001 - ro@suse.de
- updated start-script
* Mon Apr 09 2001 - ro@suse.de
- update to 4.2.1
- use buildroot
* Thu Feb 08 2001 - ro@suse.de
- use -D_GNU_SOURCE
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Fri Dec 01 2000 - ro@suse.de
- fixed startscript
* Wed Nov 22 2000 - ray@suse.de
- set START_SNMPD="no" in rc.config
- include a default configfile (/etc/ucdsnmpd.conf)
  default rights: read system mib only from the world
* Tue Nov 21 2000 - ro@suse.de
- added Obsoletes and Requires snmp (snmp is dropped)
* Thu Jul 06 2000 - @suse.de
- fix wrong .so entries in manpages
- use __linux__ in preprocessor tests as that's allways predefined
- don't add -Dlinux to CFLAGS for Linux
* Mon Apr 10 2000 - ro@suse.de
- removed extra mib misc/ipfwacc (not in package)
* Mon Apr 10 2000 - ro@suse.de
-update to 4.1.1
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Tue Feb 22 2000 - ro@suse.de
- fix building of shared-lib (still has no version)
* Tue Feb 22 2000 - ray@suse.de
- --enable-shared
* Fri Sep 24 1999 - ray@suse.de
- created package, version 4.0.1
